Skip to main content
POST
/
amlyze-ws-rest
/
account
curl --request POST \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/account' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
  "requester": "SYSTEMX",
  "businessUnit": "sandbox",
  "businessEntityExtId": "ORG_IMPORT_B1_TEST",
  "accountExtId": "ACC_001",
  "accountNumber": "LI9208800274335945522",
  "accountStatus": "ACTIVE",
  "currencyCode": "EUR",
  "openingDate": "2023-09-05T08:07:34.605Z"
}
'
{
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "resultType": "ERROR"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Account to create or update

accountExtId
string
required

External account identification number used to track activity regarding the specific account.

accountNumber
string
required

Unique account identification number used in performing operations.

accountStatus
enum<string>
required

Refers to the current condition or state of an account. ACTIVE - Account is in use. SUSPENDED - Account is restricted. CLOSED - Account is disabled.

Available options:
ACTIVE,
CLOSED,
SUSPENDED
businessEntityExtId
string
required

External business entity indicator. Refers to the same value used for the customerExtId, which links an account to a customer. This identifier corresponds to the client's identifier in the financial institution.

communicationNumber
string
required

Unique number of communication. It is used for risk assessment callback.

Maximum string length: 255
currencyCode
string
required

International currency code.

openingDate
string<date-time>
required

Account opening date. Timestamp format: RFC 3339 (ISO 8601)

requester
string
required

Name of the system requesting web service.

Maximum string length: 100
accountPurpose
string

The purpose of owning the account in question.

accountType
string

Categorizes accounts by their intended purposes and features. Values can be retrieved from the /classifier/accountType endpoint.

action
enum<string>

Element is used to indicate whether an account needs to be created or the existing account's data to be updated. If not provided, 'CREATE' is the default. When using 'UPDATE', all existing data for the account will be replaced by the new data provided.

Available options:
CREATE,
UPDATE
bankTitle
string

Title of the bank with which the operations are happening.

bic
string

Bank identifier code for account number. Mandatory if isOtherFinInstAccount is true.

businessUnit
string

It serves to specify the unique identifier for the business unit. Business units are logical groupings of users and data. Each business unit can have its own set of users, permissions, and data access rules. Value is taken from /classifier/businessUnit endpoint.❗Mandatory field for clients utilizing a multi-organizational solution. Omit this parameter unless instructed about it.

Maximum string length: 255
closingDate
string<date-time>

Account closing date. Timestamp format: RFC 3339 (ISO 8601). Mandatory if accountStatus is CLOSED. if accountStatus: SUSPENDED, instead of closingDate field, suspensionReasons field could be provided. e.g. suspensionReasons:Security breach investigation in progress.

isOtherFinInstAccount
boolean

Declaring whether the account belongs to other financial institution. If true, the bic value needs to be provided.

suspensionReasons
string

A reason for suspension. Can only be provided if accountStatus is SUSPENDED.

Response

OK

errorCode
string
errorDescription
string
resultType
enum<string>
Available options:
ERROR,
OK